module.exports = {
  create: {
    requestBody: [
      "!sender_id",
      "!sender_name",
      "!receiver_id",
      "!receiver_name",
      "!room",
      "!content",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!sender_id",
      "!sender_name",
      "!receiver_id",
      "!receiver_name",
      "!room",
      "!content",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        sender_id: "sender_id",
        sender_name: "sender_name",
        receiver_id: "receiver_id",
        receiver_name: "receiver_name",
        room:'room',
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
