module.exports = {
  create: {
    requestBody: ["!classid", "!subid", "date", "!groupid", "score"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!classid", "!subid", "date", "!groupid", "score"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        classid: "classid",
        subid: "subid",
        groupid: "groupid",
        score: "score",
        date: "date",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  opera: {
    requestBody: ["data"],
    service: "opera",
  },
};
