module.exports = {
  create: {
    requestBody: [
      'code',
      'name',
      'planid',
      'termid',
      'term',
      'batchid',
      'filepath',
      'studs',
      'plannum',
      'schnum',
      'isstore',
      'createtime',
      'type',
      'reason',
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'code',
      'name',
      'planid',
      'termid',
      'term',
      'batchid',
      'filepath',
      'studs',
      'plannum',
      'schnum',
      'isstore',
      'createtime',
      'type',
      'reason',
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        code: 'code',
        name: 'name',
        planid: 'planid',
        termid: 'termid',
        term: 'term',
        batchid: 'batchid',
        filepath: 'filepath',
        studs: 'studs',
        plannum: 'plannum',
        schnum: 'schnum',
        isstore: 'isstore',
        createtime: 'createtime',
        type: 'type',
        reason: 'reason',
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
