module.exports = {
  create: {
    requestBody: ["!subid", "subname", "!teacherid", "teacher", "reason"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "number",
      "!subid",
      "subname",
      "!teacherid",
      "teacher",
      "status",
      "reason",
      "start",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        number: "number",
        subid: "subid",
        subname: "subname",
        teacher: "teacher",
        teacherid: "teacherid",
        start: "start",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  personcount: {
    requestBody: ["number", "name", "userid", "type"],
    service: "personcount",
  },
  sendmsg: {
    requestBody: ["!roomid", "termid", "classid"],
    service: "sendNotice",
  },
};
