module.exports = {
  create: {
    requestBody: [
      "openid",
      "name",
      "title",
      "detail",
      "date",
      "remark",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "openid",
      "name",
      "title",
      "detail",
      "date",
      "remark",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        openid:  "openid",
        name: "name",
        title: "title",
        detail: "detail",
        date: "date",
        remark: "remark",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
