module.exports = {
  create: {
    requestBody: [
      "!planyearid",
      "!planid",
      "termid",
      "classid",
      "!noticeid",
      "!content",
      "notified",
      "type",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "planyearid",
      "planid",
      "termid",
      "classid",
      "noticeid",
      "content",
      "notified",
      "type",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        planyearid: "planyearid",
        planid: "planid",
        termid: "termid",
        classid: "classid",
        noticeid: "noticeid",
        content: "content",
        notified: "notified",
        type: "type",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  resend: {
    requestBody: ["!id"],
    service: "resend",
  },
};
