module.exports = {
  create: {
    requestBody: ["!schid", "year", "planid", "remark", "daterange", "arrange"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["schid", "year", "planid", "remark", "daterange", "arrange"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        schid: "schid",
        year: "year",
        planid: "planid",
        remark: "remark",
        daterange: "daterange",
        arrange: "arrange",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
