'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 课程培训表
const TrainVideoSchema = {
  url: { type: String, required: true, maxLength: 200 }, // 视频地址
  subid: { type: String, required: true, maxLength: 200 }, // 科目id
  subname: { type: String, required: true, maxLength: 200 }, // 科目名称
  teacher: { type: String, required: false, maxLength: 200 }, // 教师姓名
  teacherid: { type: String, required: false, maxLength: 200 }, // 教师id
  status: { type: String, required: false, maxLength: 200, default: "0" }, // 状态:0=>未审核;1=>审核通过(中心直接传来,通过);2=>审核失败
  touser: { type: String, required: false, maxLength: 20 }, // 面向对象:0=>所有人;1=>教师;2=>学生;3=>班主任
};


const schema = new Schema(TrainVideoSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Trainvideo', schema, 'trainvideo');
};
