/* eslint valid-jsdoc: "off" */

'use strict';

const { jwt } = require('./config.secret');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1578642242928_5726';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.errorMongo = {
    details: true,
  };
  config.errorHanler = {
    details: true,
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 2001,
    },
  };

  config.wxapi = {
    appid: 'wxdf3ed83c095be97a', // 微信公众号APPID
    appSecret: '748df7c2a75077a79ae0c971b1638244',
    baseUrl: 'http://wx.cc-lotus.info', // 微信网关地址
    mchid: '1505364491', // 商户ID
    mchkey: '1qaz2wsx3edc4rfv5tgb6yhn7ujm8ik9', // 商户key
    wxurl: 'http://free.liaoningdoupo.com/api/wxpayback',
    payurl: 'https://api.mch.weixin.qq.com/pay/unifiedorder',
    sendDirMq: 'http://wx.cc-lotus.info/api.weixin.qq.com/cgi-bin/message/template/send?appid=',
  };

  config.proxy = true;
  config.hostHeaders = 'x-forwarded-host';
  // 服务器发布路径
  config.baseUrl = 'http://free.liaoningdoupo.com';
  // 认证回调地址
  config.authUrl = '/api/train/auth';
  // 回调地址
  config.redirect_uri = `${config.baseUrl}/weixin`;
  config.redirect_uri_doctor = `${config.baseUrl}/patient/manage`;
  config.redirect_uri_patient = `${config.baseUrl}/doctor/manage`;
  // base路径
  // appID
  config.appid = 'wxdf3ed83c095be97a';
  config.REVIEW_TEMPLATE_ID = '16F_xIWRXcjefFgBw85uL1JtKYpKOy8tpO1ncG0PO3c';

  // 邮箱配置
  config.user_email = 'system@jilinjobs.cn';
  config.auth_code = 'vgWtywkwMJpN8QDL';

  // mq配置
  // config.amqp = {
  //   client: {
  //     hostname: '127.0.0.1',
  //     username: 'visit',
  //     password: 'visit',
  //     vhost: 'train',
  //   },
  //   app: true,
  //   agent: true,
  // };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '',
      db: 0,
    },
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/train',
    options: {
      // user: 'admin',
      // pass: 'admin',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };

  // 安全配置
  config.security = {
    csrf: {
      // ignoreJSON: true, // 默认为 false，当设置为 true 时，将会放过所有 content-type 为 `application/json` 的请求
      enable: false,
    },
  };
  // // JWT config
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'train',
  };

  return {
    ...config,
    ...userConfig,
  };
};
